Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QLCDNumber.SegmentStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QLCDNumber.SegmentStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLCDNumber

    public static final class QLCDNumber.SegmentStyle

extends java.lang.Enum
implements QtEnumerator

This type determines the visual appearance of the `QLCDNumber` widget.

See Also:
  Serialized Form

Field Summary
`static QLCDNumber.SegmentStyle` | `Filled` gives raised segments filled with the windowText color.
`static QLCDNumber.SegmentStyle` | `Flat` gives flat segments filled with the windowText color.
`static QLCDNumber.SegmentStyle` | `Outline` gives raised segments filled with the background color.

Method Summary
`static QLCDNumber.SegmentStyle` | `resolve(int value)` Returns the SegmentStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLCDNumber.SegmentStyle` | `valueOf(java.lang.String name)`
`static QLCDNumber.SegmentStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Outline

    public static final QLCDNumber.SegmentStyle Outline

  gives raised segments filled with the background color.

### Filled

    public static final QLCDNumber.SegmentStyle Filled

  gives raised segments filled with the windowText color.

### Flat

    public static final QLCDNumber.SegmentStyle Flat

  gives flat segments filled with the windowText color.

Method Detail

### values

    public static QLCDNumber.SegmentStyle[] values()

### valueOf

    public static QLCDNumber.SegmentStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLCDNumber.SegmentStyle resolve(int value)

  Returns the SegmentStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD